Order - Bulk Add Manual Shipments
curl --request POST \
--url https://api.skulabs.com/order/bulk_add_manual_shipments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{}
],
"options": {}
}
'import requests
url = "https://api.skulabs.com/order/bulk_add_manual_shipments"
payload = {
"rows": [{}],
"options": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rows: [{}], options: {}})
};
fetch('https://api.skulabs.com/order/bulk_add_manual_shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": [
{
"shipments": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"voided": true,
"return_label": true,
"deducted": true,
"response": {
"provider": "<string>",
"service": "<string>",
"label_url": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>",
"amount": 123,
"currency": "<string>",
"shipment_id": "<string>",
"signature": true
},
"request": {
"order_items": [
{
"item_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"sku": "<string>"
}
],
"parcel": {
"length": 123,
"width": 123,
"height": 123,
"weight": 123,
"weight_unit": "<string>",
"dimensions_unit": "<string>"
},
"address": {},
"carrier_account_ids": [
"<string>"
],
"provider": "<string>",
"service": "<unknown>"
}
}
],
"skulabs_warning": {
"message": "<string>",
"type": "<string>"
},
"error": true,
"message": "<string>",
"shipment": {}
}
]
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Order
Order - Bulk Add Manual Shipments
Add manual shipments with tracking information to multiple orders in a single request.
POST
/
order
/
bulk_add_manual_shipments
Order - Bulk Add Manual Shipments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I